/********************************************************************
 *                                                                  *
 * acc_camlib.h      September-1995          M.Haseno               *
 *                                                                  *
 ********************************************************************/

#define NAF(n, a, f) ( n<<9 | a<<5 | f )
#define DCAMAC(naf,reg)   {              \
        reg = (long *)0x100004;          \
        reg[0] = naf;                    \
	}
#define CAM_WRITE(naf,dat,reg)   {       \
        reg = (long *)0x100004;          \
        reg[1] = dat;                    \
        reg[0] = naf;                    \
	}
#define CAM_READ(naf,dat,reg)    {       \
        reg = (long *)0x100004;          \
        reg[0] = naf;                    \
        dat = reg[1];                    \
        dat = reg[1];                    \
        dat = reg[1];                    \
	}

#define  COPEN dummy
#define CCLOSE dummy
#define CRESET dummy
#define CSETBR dummy
#define CSETCR dummy
#define  CGENC dummy
#define  CSETI dummy
#define  CREMI dummy

/* camlib.h */
/* File name     : camlib.h
 * Creation date : August 1991
 * Modified      : August 1992, Y.Y
 * Author        : Y.Yasu, Online group, Physics department, KEK
 */
#define CAM_Open COPEN
#define CAMOPN COPEN
#define CAM_Close CCLOSE
#define CAMCLS CCLOSE
#define CAMACL CAMAC
#define CAM_EnableLAM CENLAM
#define CAM_DisableLAM CDSLAM
#define CELAM CENLAM
#define CDLAM CDSLAM
#define CAM_WaitLAM CWTLAM
#define CWLAM CWTLAM
#define CAM_EnableSIG CESIG
#define CAM_DisableSIG CDSIG
#define CamBloWorWAIt CDMAW
#define CBWWAI CDMAW
#define CamBloLonWAIt CDMAL
#define CBLWAI CDMAL
#define CamLisExeWAIt CLEWAI
#define CamExeWAIt CEWAI
#define CamLisLOAD CLLOAD
#define CamReaLIST CRLIST
