int inline camacCinitialize () {
  outb(     0,PNO+1);
  outw(0x0800,PNO+6);
  if((inw(PNO+6)&0x2000)!=0) return 0; else return -1;
}

int inline camacCz () {
  outw((inw(PNO+6)&0x8c00)|0x0200,PNO+6);
  return cycle_wait(255);
}

int inline camacCc () {
  outw((inw(PNO+6)&0x8c00)|0x0100,PNO+6);
  return cycle_wait(255);
}

int inline camacCi (int onoff ) {
  if (onoff!=0) outw((inw(PNO+6)&0x8800)|0x0400,PNO+6);
  else          outw((inw(PNO+6)&0x8800)|0x0000,PNO+6);
  return 0;
}

long inline camacClamp (){
  int lampat;
  *((unsigned short *)(&lampat)  ) = inw(PNO+4);
  *((unsigned short *)(&lampat)+1) = inw(PNO+6)&0x00ff;
  return(lampat);
}

int inline camacClam (){
  int i, lampat;
  *((unsigned short *)(&lampat)  ) = inw(PNO+4);
  *((unsigned short *)(&lampat)+1) = inw(PNO+6)&0x00ff;
  for(i=0;i<24;i++) if((lampat/(1<<i))%2) goto lamhit;
 lamhit: if(i<24) i++; else i=0;
  return(i);
}

int inline camacCcycle(int N, int A, int F, long *data, int *stat) {
/* long word data NAF operation */
  register int i; short status;
  outw((A<<8)|(char)N,PNO+4);
  if((F&0x18)==0x10) { /* write operation */
    outw(*((unsigned short *)(data)  ),PNO+0);
    outw(*((unsigned short *)(data)+1),PNO+2);
  }
  outw((inw(PNO+6)&0x8c00)|(char)F,PNO+6);
  outb(0,PNO+7);
  for(i=0;i<256;i++) {
    status=inw(PNO+6);
    if((status&0x1000)!=0) goto done_sense;
  }
  return -1;
 done_sense:
  *stat=((~status)&0x0300)>>8;
  if((F&0x18)==0x00) { /* read operation */
    *((unsigned short *)(data)  )=inw(PNO+0);
    *((unsigned short *)(data)+1)=inw(PNO+2)&0x00ff;
  }
  return 0;
}

int inline camacCcycle2(int N, int A, int F, short *data, int *stat) {
/* short word data NAF operation */
  register int i; short status;
  outw((A<<8)|(char)N,PNO+4);
  if((F&0x18)==0x10) { /* write operation */
    outw(*((unsigned short *)(data)  ),PNO+0);
  }
  outw((inw(PNO+6)&0x8c00)|(char)F,PNO+6);
  outb(0,PNO+7);
  for(i=0;i<256;i++) {
     status=inw(PNO+6);
     if((status&0x1000)!=0) goto done_sense;
  }
  return -1;
done_sense:
  *stat=((~status)&0x0300)>>8;
  if((F&0x18)==0x00) { /* read operation */
    *((unsigned short *)(data)  )=inw(PNO+0);
  }
  return 0;
}
