#include <stdio.h>
#include "camlib.h"
#include <errno.h>

error_exit(status)
int status;
{
    perror(strerror(status));
    exit(status);
}

main()
{
  int c, n, a, f, q, x;
  int   dat, status;
  unsigned short sdat;
  char ans[80];
  
  status = COPEN();
  if( status ) error_exit(status);
  
  while (1) {
    printf("\nw16, w24, r16, r24, crate, exit? -> ");
    scanf("%s", ans);
    
    if (!strncmp("w16", ans, 3)) {
	printf("Write16:\n");
	printf("  Input n a f data(hex) > ");
	scanf("%d %d %d %x", &n, &a, &f, &dat);
	sdat = dat;
	CAMACW(NAF(n,a,f), &sdat, &q, &x);
    }
    else if (!strncmp("w24", ans, 3)) {
	printf("Write24:\n");
	printf("  Input n a f data(hex) > ");
	scanf("%d %d %d %x", &n, &a, &f, &dat);
	CAMAC(NAF(n,a,f), &dat, &q, &x);
    }
    else if (!strncmp("r16", ans, 3)) {
	printf("Read16:\n");
	printf("  Input n a f > ");
	scanf("%d %d %d", &n, &a, &f);
	CAMACW(NAF(n,a,f), &sdat, &q, &x);
	dat = sdat;
    }
    else if (!strncmp("r24", ans, 3)) {
	printf("Read24:\n");
	printf("  Input n a f > ");
	scanf("%d %d %d", &n, &a, &f);
	CAMAC(NAF(n,a,f), &dat, &q, &x);
    }
    else if (!strncmp("crate", ans, 2)) {
	printf("Input crate number > ");
	scanf("%d", &c);
	CSETCR(c);
    }
    else {
	printf("Exit\n");
	break;
    }
    printf("  N=%d A=%d F=%d Q=%d X=%d  Data: %#x(Hex), %d(Dec)\n",
	    n, a, f, q, x, dat, dat);
  }
  CCLOSE();
}
