/* ... ... ... <<< camac.h >>> ... ... ... */
#define DC_INITIAL     10
#define DC_Z           11
#define DC_C           12
#define DC_I           13
#define DC_L_P         14
#define DC_L_E         15
#define DC_CYCLE       16

#define DC_INTTST      30
#define DC_INTON       31
#define DC_INTOFF      32
#define DC_INTCLR      33
#define DC_INTCNT      34
#define DC_INTLOS      35
#define DC_INTWRD      36
#define DC_INTEOF      40

/* CAMAC DATA structure */

typedef struct {
  char onoff;
} DCI;

typedef struct {
  long lamp;
} DCLP;

typedef struct {
  char  lame;
} DCLE;

typedef struct {
  char n , f, a, stat; long data;
} DCCycle;

typedef union {
  DCI        dci;
  DCLP       dclp;
  DCLE       dcle;
  DCCycle    dccycle;
} DCD;

#if DSS_UNIX
/* ... ... ... <<<  f77 index  */
#define camacfinitialize camacfinitialize_
#define camacfconnect    camacfconnect_   
#define camacfdisconnect camacfdisconnect_   
#define camacfexit       camacfexit_
#define camacfz          camacfz_
#define camacfi          camacfi_ 
#define camacfc          camacfc_
#define camacflam        camacflam_
#define camacflamp       camacflamp_
#define camacfcycle      camacfcycle_
#define camacfloop       camacfloop_
#define camacflist       camacflist_
#define camacfadc        camacfadc_
#define camacfhmr        camacfhmr_
#define camacfevr        camacfevr_
#define isomedo          isomedo_
#define camacfpurge      camacfpurge_
/*  f77 index >>> ... ... ... */
#endif
