int inline camacCinitialize () {
  outw(     0,PNO+2);
  outw(0x0008,PNO+0);
  if((inw(PNO+0)&0x0020)!=0) return 0; else return -1;
}

int inline camacCz () {
  outw((inw(PNO+0)&0x008c)|0x0002,PNO+0);
  return cycle_wait(255);
}

int inline camacCc () {
  outw((inw(PNO+0)&0x008c)|0x0001,PNO+0);
  return cycle_wait(255);
}

int inline camacCi (int onoff ) {
  if (onoff!=0) outw((inw(PNO+0)&0x0088)|0x0004,PNO+0);
  else          outw((inw(PNO+0)&0x0088)|0x0000,PNO+0);
  return 0;
}

long inline camacClamp (){
  int lampat;
  *((unsigned short *)(&lampat)  ) = inw(PNO+2);
  *((unsigned short *)(&lampat)+1) = inw(PNO+4)&0x00ff;
  return(lampat);
}

int inline camacClam (){
  int i, lampat;
  *((unsigned short *)(&lampat)  ) = inw(PNO+2);
  *((unsigned short *)(&lampat)+1) = inw(PNO+4)&0x00ff;
  for(i=0;i<24;i++) if((lampat/(1<<i))%2) goto lamhit;
 lamhit: if(i<24) i++; else i=0;
  return(i);
}

int inline camacCcycle(int N, int A, int F, long *data, int *stat) {
/* long word data NAF operation */
  register int i; short status;
  outw((unsigned short)(((N-1)<<9)|(A<<5)|F),PNO+4);
  if((F&0x18)==0x10) { /* write operation */
    outw(*((unsigned short *)(data)  ),PNO+6);
    outw(*((unsigned short *)(data)+1),PNO+8);
  }
  outw(0,PNO+10);
  for(i=0;i<256;i++) {
    status=inw(PNO+0);
    if((status&0x0010)!=0) goto done_sense;
  }
  return -1;
 done_sense:
  *stat=status&0x0003;
  if((F&0x18)==0x00) { /* read operation */
    *((unsigned short *)(data)  )=inw(PNO+6);
    *((unsigned short *)(data)+1)=inw(PNO+8)&0x00ff;
  }
  return 0;
}

int inline camacCcycle2(int N, int A, int F, short *data, int *stat) {
/* short word data NAF operation */
  register int i; short status;
  outw((unsigned short)(((N-1)<<9)|(A<<5)|F),PNO+4);
  if((F&0x18)==0x10) { /* write operation */
    outw(*((unsigned short *)(data)  ),PNO+6);
  }
  outw(0,PNO+10);
  for(i=0;i<256;i++) {
     status=inw(PNO+0);
     if((status&0x0010)!=0) goto done_sense;
  }
  return -1;
done_sense:
  *stat=status&0x0003;
  if((F&0x18)==0x00) { /* read operation */
    *((unsigned short *)(data)  )=inw(PNO+6);
  }
  return 0;
}
