#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/sem.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include "vmehb_ioctl.h"
#include "crashm.h"

void main()
{
  int    fd, semid;
  if ((fd = open("/dev/vme32d32", O_RDWR)) == -1) {
    puts("Cannot open VME device driver. ");
  } else {
    ioctl(fd, VME_DAQ_FINISH, 0);
    close(fd);
  }
  if ((semid = semget(SEMKEY, SEM_NUM, 0400)) == -1) {
    puts("! Cannot get semaphore");
  } else {
    semctl(semid, 0, IPC_RMID, 0);
  }
}
